# Uses of Class
io.dapr.v1.DaprProtos.GetStateResponse

Packages that use DaprProtos.GetStateResponse
Package
Description
io.dapr.v1

## Uses of DaprProtos.GetStateResponse in io.dapr.v1

Methods in io.dapr.v1 that return DaprProtos.GetStateResponse
Modifier and Type
Method
Description
`DaprProtos.GetStateResponse`
DaprProtos.GetStateResponse.Builder.`build()`
`DaprProtos.GetStateResponse`
DaprProtos.GetStateResponse.Builder.`buildPartial()`
`static DaprProtos.GetStateResponse`
DaprProtos.GetStateResponse.`getDefaultInstance()`
`DaprProtos.GetStateResponse`
DaprProtos.GetStateResponse.Builder.`getDefaultInstanceForType()`
`DaprProtos.GetStateResponse`
DaprProtos.GetStateResponse.`getDefaultInstanceForType()`
`DaprProtos.GetStateResponse`
DaprGrpc.DaprBlockingStub.`getState(DaprProtos.GetStateRequest request)`
Gets the state for a specific key.
`static DaprProtos.GetStateResponse`
DaprProtos.GetStateResponse.`parseDelimitedFrom(InputStream input)`
`static DaprProtos.GetStateResponse`
DaprProtos.GetStateResponse.`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.GetStateResponse`
DaprProtos.GetStateResponse.`parseFrom(byte[] data)`
`static DaprProtos.GetStateResponse`
DaprProtos.GetStateResponse.`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.GetStateResponse`
DaprProtos.GetStateResponse.`parseFrom(com.google.protobuf.ByteString data)`
`static DaprProtos.GetStateResponse`
DaprProtos.GetStateResponse.`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.GetStateResponse`
DaprProtos.GetStateResponse.`parseFrom(com.google.protobuf.CodedInputStream input)`
`static DaprProtos.GetStateResponse`
DaprProtos.GetStateResponse.`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.GetStateResponse`
DaprProtos.GetStateResponse.`parseFrom(InputStream input)`
`static DaprProtos.GetStateResponse`
DaprProtos.GetStateResponse.`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.GetStateResponse`
DaprProtos.GetStateResponse.`parseFrom(ByteBuffer data)`
`static DaprProtos.GetStateResponse`
DaprProtos.GetStateResponse.`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
Methods in io.dapr.v1 that return types with arguments of type DaprProtos.GetStateResponse
Modifier and Type
Method
Description
`static io.grpc.MethodDescriptor<DaprProtos.GetStateRequest,DaprProtos.GetStateResponse>`
DaprGrpc.`getGetStateMethod()`
`com.google.protobuf.Parser<DaprProtos.GetStateResponse>`
DaprProtos.GetStateResponse.`getParserForType()`
`com.google.common.util.concurrent.ListenableFuture<DaprProtos.GetStateResponse>`
DaprGrpc.DaprFutureStub.`getState(DaprProtos.GetStateRequest request)`
Gets the state for a specific key.
`static com.google.protobuf.Parser<DaprProtos.GetStateResponse>`
DaprProtos.GetStateResponse.`parser()`
Methods in io.dapr.v1 with parameters of type DaprProtos.GetStateResponse
Modifier and Type
Method
Description
`DaprProtos.GetStateResponse.Builder`
DaprProtos.GetStateResponse.Builder.`mergeFrom(DaprProtos.GetStateResponse other)`
`static DaprProtos.GetStateResponse.Builder`
DaprProtos.GetStateResponse.`newBuilder(DaprProtos.GetStateResponse prototype)`
Method parameters in io.dapr.v1 with type arguments of type DaprProtos.GetStateResponse
Modifier and Type
Method
Description
`default void`
DaprGrpc.AsyncService.`getState(DaprProtos.GetStateRequest request, io.grpc.stub.StreamObserver<DaprProtos.GetStateResponse> responseObserver)`
Gets the state for a specific key.
`void`
DaprGrpc.DaprStub.`getState(DaprProtos.GetStateRequest request, io.grpc.stub.StreamObserver<DaprProtos.GetStateResponse> responseObserver)`
Gets the state for a specific key.